package com.emr.service.emrCode;

import com.emr.entity.emrCode.T_Herb_Diag;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface HerbDiagService {
    List<T_Herb_Diag> selectAllByPatientId(@Param("patientId")String patientId, @Param("herbNo")Short herbNo);

    int insert(T_Herb_Diag record);

    void updateByPrimaryKeySelective(T_Herb_Diag record);

    void deleteHerbDiagByPatientIdAndHerbNo(String patientId,Short herbNo);
}
